#include <DHT12.h>

DHT12 dht12;

void setup() {
  dht12.begin();
  Serial.begin(9600);
  delay(2000);
}

void loop() {
  /*
     READ DATA
  */
  int status = dht12.read();
  switch (status)   {
    case DHT12_OK:
      /*
        DISPLAY DATA.
      */
      Serial.println(F("Status : OK"));
      Serial.print(F("T = "));
      Serial.print(dht12.getTemperature());
      Serial.println(F("*C"));
      Serial.print(F("H = "));
      Serial.print(dht12.getHumidity());
      Serial.println(F(" %"));
      break;
    case DHT12_ERROR_CHECKSUM:
      Serial.print(F("Checksum error"));
      break;
    case DHT12_ERROR_CONNECT:
      Serial.print(F("Connect error"));
      break;
    case DHT12_MISSING_BYTES:
      Serial.print(F("Missing bytes"));
      break;
    default:
      Serial.print(F("Unknown error"));
      break;
  }
  delay(2000);
}